package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyTagUser;
import com.fs.store.param.h5.TagListParam;
import com.fs.store.vo.h5.CompanyUserTagListVO;

/**
 * companyService接口
 *
 * @author fs
 * @date 2025-04-02
 */
public interface ICompanyTagUserService
{
    /**
     * 查询company
     *
     * @param id companyID
     * @return company
     */
    public CompanyTagUser selectCompanyTagUserById(Long id);

    /**
     * 查询company列表
     *
     * @param companyTagUser company
     * @return company集合
     */
    public List<CompanyTagUser> selectCompanyTagUserList(CompanyTagUser companyTagUser);

    /**
     * 新增company
     *
     * @param companyTagUser company
     * @return 结果
     */
    public int insertCompanyTagUser(CompanyTagUser companyTagUser);

    /**
     * 修改company
     *
     * @param companyTagUser company
     * @return 结果
     */
    public int updateCompanyTagUser(CompanyTagUser companyTagUser);

    /**
     * 批量删除company
     *
     * @param ids 需要删除的companyID
     * @return 结果
     */
    public int deleteCompanyTagUserByIds(Long[] ids);

    /**
     * 删除company信息
     *
     * @param id companyID
     * @return 结果
     */
    public int deleteCompanyTagUserById(Long id);

    /**
     * 标签分页列表
     * @param param 分页参数
     * @return
     */
    List<CompanyUserTagListVO> getTagList(TagListParam param);

}
